### Hierarchy

- GameServerInfoConnection

## Index

### Constructors

- constructor

### Properties

- gameSocket
- pubSub
- status

### Methods

- publishStatus

## Constructors

### constructor

- new GameServerInfoConnection(gameServerAddress: GameServerAddress): GameServerInfoConnection

- - Defined in game-server/GameServerInfoConnection.ts:15

  #### Parameters

  - ##### gameServerAddress: GameServerAddress

  #### Returns GameServerInfoConnection

## Properties

### gameSocket

gameSocket: Socket<DefaultEventsMap, DefaultEventsMap>

- Defined in game-server/GameServerInfoConnection.ts:12

### Private pubSub

pubSub: default

- Defined in game-server/GameServerInfoConnection.ts:13

### status

status: GameServerStatus

- Defined in game-server/GameServerInfoConnection.ts:11

## Methods

### Private publishStatus

- publishStatus(): void

- - Defined in game-server/GameServerInfoConnection.ts:67

  #### Returns void

Generated using TypeDoc